Bug 487159 - up2date thinks PARTIAL_CONTENT responses are redirects
up2date thinks PARTIAL_CONTENT responses are redirects
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.9
All Linux
low Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 11:19 EST by James Bowes
Modified: 2013-01-10 05:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:18:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2009-02-24 11:19:34 EST
If you have part of an rpm in /var/spool/up2date, then try to download that rpm with up2date, it will request the missing byte range of the file. Upon getting a 206 response, it will think it got a redirect, not the range of bytes it requested. Then it will fall over.
Comment 1 Jiri Pallich 2012-06-20 12:18:37 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.